# Uses of Interface
org.apache.sling.api.request.RequestProgressTracker

Packages that use RequestProgressTracker
Package
Description
org.apache.sling.api
org.apache.sling.api.request.builder
org.apache.sling.api.wrappers

## Uses of RequestProgressTracker in org.apache.sling.api

Methods in org.apache.sling.api that return RequestProgressTracker
Modifier and Type
Method
Description
`@NotNull RequestProgressTracker`
SlingHttpServletRequest.`getRequestProgressTracker()`
Deprecated.
Returns the `RequestProgressTracker` of this request.
`@NotNull RequestProgressTracker`
SlingJakartaHttpServletRequest.`getRequestProgressTracker()`
Returns the `RequestProgressTracker` of this request.

## Uses of RequestProgressTracker in org.apache.sling.api.request.builder

Methods in org.apache.sling.api.request.builder that return RequestProgressTracker
Modifier and Type
Method
Description
`static @NotNull RequestProgressTracker`
Builders.`newRequestProgressTracker()`
Creates a new request progress tracker
Methods in org.apache.sling.api.request.builder with parameters of type RequestProgressTracker
Modifier and Type
Method
Description
`@NotNull SlingHttpServletRequestBuilder`
SlingHttpServletRequestBuilder.`withRequestProgressTracker(@NotNull RequestProgressTracker tracker)`
Uses the provided request progress tracker

## Uses of RequestProgressTracker in org.apache.sling.api.wrappers

Methods in org.apache.sling.api.wrappers that return RequestProgressTracker
Modifier and Type
Method
Description
`@NotNull RequestProgressTracker`
JakartaToJavaxRequestWrapper.`getRequestProgressTracker()`
`@NotNull RequestProgressTracker`
JavaxToJakartaRequestWrapper.`getRequestProgressTracker()`
`RequestProgressTracker`
SlingHttpServletRequestWrapper.`getRequestProgressTracker()`
Deprecated.
`RequestProgressTracker`
SlingJakartaHttpServletRequestWrapper.`getRequestProgressTracker()`